#include <gtk/gtk.h>

#include <stdio.h>
#include <stdlib.h>


#include <dbui-defs.h>

#include <dbui-structs.h>


void
delete_table (gpointer data)
{
    TABLE *tab;

    tab = (TABLE *)data;

    if(!tab)
	return;

    if(tab->window)
	{
	gtk_widget_unref(tab->window);
	gtk_widget_destroy(tab->window);
	}

    if(tab->col_set)
	g_list_free(tab->col_set);

    if(tab->tables)
	g_list_free(tab->tables);

    if(tab->limit_str)
	g_free(tab->limit_str);

    free(tab);
}
