#include <gtk/gtk.h>

#include <stdio.h>
#include <string.h>

#include <dbui-defs.h>

#include <dbui-structs.h>

#include <mysql/mysql.h>

#include <mysql-prototypes.h>

#include <dbui-sql-proto.h>

GList *
mysql_exec_insert(TABLE *table)
{
    char	*query = NULL;
    GList	*result_set = NULL;

    query = build_insert_query(table);
    if(!query)
	{
	return NULL;
	}

    if(PROMPT == FALSE)
        result_set = mysql_exec_query(table->parent,table,query);
    else
        create_query_window(table->parent,table,query);

    free(query);

    return result_set;
}
