#include <gtk/gtk.h>
    
#include <stdio.h>
#include <string.h>
    
#include <dbui-defs.h>
    
#include <dbui-structs.h>

#include "column_functions.h"

#include "function_prototypes.h"

void
exec_callback(GtkButton      *button,gpointer        container)
{
    GtkWidget	*text_box = NULL;
    GtkWidget	*check_box = NULL;
    DRIVER      *driver_p = NULL;
    CONNECTION	*connect = NULL;
    TABLE	*database = NULL;
    TABLE	*table = NULL;
    GList	*result_list = NULL;
    char	*sql_command = NULL;

    printf("Here u\n");
    fflush(stdout);

    database = gtk_object_get_data(GTK_OBJECT(button),"DATABASE");

    table = gtk_object_get_data(GTK_OBJECT(button),"TABLE");

    check_box = gtk_object_get_data(GTK_OBJECT(button),"CHECK_BOX");

    text_box = gtk_object_get_data(GTK_OBJECT(button),"TEXT_ENTRY");

    if(!database || !table || !check_box || !text_box)
	return;

    printf("Here \n");
    fflush(stdout);

    sql_command = gtk_editable_get_chars(GTK_EDITABLE(text_box),0,-1);

    connect = database->my_connect;

    driver_p = connect->driver_p;

    result_list = driver_p->exec_query(database,table,sql_command);

    if(result_list && GTK_TOGGLE_BUTTON(check_box)->active)
	create_result_window(result_list);	

    return;
}
