#include <gtk/gtk.h>

#include <stdio.h>

#include <dbui-defs.h>

#include <dbui-structs.h>

#include "create_entry_field.h"

#include "create_tree_entry.h"

#include "function_prototypes.h"

#include "table_functions.h"

extern GList *
get_table_value_list    (GtkWidget      *g_table);

static TABLE *
create_valid_table(GtkWidget    *container,CONNECTION   *connect);

void
login	(GtkButton	*button,gpointer	container)
{
    DRIVER	*driver_p;
    GtkWidget	*my_container;
    GtkWidget	*align;
    GtkWidget	*table;
    GtkWidget	*main_window;
    GtkWidget	*main_tree;
    GtkWidget	*my_tree;
    GtkCTreeNode	*tree_item;
    GtkCTreeNode	*tree_item2;
    GList	*value_list;
    COLUMN	*col;
    CONNECTION	*connection;
    TABLE	*table_p;
    GList	*databases;
    GList	*g_p;
    GList	*g_l;
    TABLE	*table_s;
    TABLE	*t1;
    GtkCTreeNode *node;

    main_window = gtk_widget_get_toplevel(GTK_WIDGET(button));

    main_tree = gtk_object_get_data(GTK_OBJECT(main_window),"main_tree");

    driver_p = gtk_object_get_data(GTK_OBJECT(container),"DRIVER");

    table_s = gtk_object_get_data(GTK_OBJECT(container),"my_table_s"); 

    if(!table_s)
	return;

    align = table_s->window;

    node = gtk_ctree_find_by_row_data(GTK_CTREE(main_tree),NULL,table_s);

    if(!node || !align)
	return;

    table = gtk_object_get_data(GTK_OBJECT(align),"my_gtable");

    if(!table)
	return;

    value_list = get_table_value_list(table); 

    connection = driver_p->login(value_list);

    if(connection)
	{
	connection->driver_p = driver_p;

	table_p = create_valid_table(GTK_WIDGET(container),connection);

	table_p->menu_type = CONNECTION_MENU;

	tree_item = create_tree_entry(main_tree,node,NULL,table_p);

	databases = driver_p->build_databases(connection);

	my_tree = gtk_object_get_data(GTK_OBJECT(container),table_p->name);

	g_p = databases;

	while(g_p)
	  {
	  if(g_p->data)
		{
		t1 = g_p->data;
	  	tree_item2 = create_tree_entry(main_tree,tree_item,NULL,t1);

		t1->parent = table_p;	

		}

	  g_p = g_list_next(g_p);
	  }	

	}
}

static TABLE *
create_valid_table(GtkWidget	*container,CONNECTION	*connect)
{
    TABLE	*table; 
    TABLE	*table_p;
    int		keep_going = 1;
    int		loop = 0;
    int		conn_name_len;

    table = create_new_table(connect->name,connect,NULL);

   return table;
}
