#include <gtk/gtk.h>

#include <stdio.h>
#include <string.h>

#include <dbui-defs.h>

#include <dbui-structs.h>

#include <libpq-fe.h>

#include <postgres-prototypes.h>

#include "../gui/function_prototypes.h"

GList *
postgres_build_databases(CONNECTION	*connect)
{
    PGresult	*result;
    GList	*databases = NULL;
    GList	*g_l;
    TABLE	*database;
    char	query[2048];
    char	*value;
    int		num_rows;
    int		i;

    value = PQdb(connect->handle);

    database = create_new_table(value,connect,NULL);

    database->menu_type = DATABASE_MENU;

    databases = g_list_append(databases,database);

    postgres_build_database(databases->data);

return databases;
}
